Package Details: ooniprobe 1.2.2-2

Git Clone URL: https://aur.archlinux.org/ooniprobe.git (read-only)
Package Base: ooniprobe
Description: Open Observatory of Network Interference
Upstream URL: https://ooni.torproject.org
Licenses: BSD
Submitter: vmon
Maintainer: axil42
Last Packager: axil42
Votes: 7
Popularity: 0.000091
First Submitted: 2014-07-03 03:20
Last Updated: 2015-08-17 08:59

Latest Comments

ritchy commented on 2017-02-13 17:44

Hi,
A lot of updates since 2015 and version 1.2 !
see here : https://github.com/TheTorProject/ooni-probe/blob/master/ChangeLog.rst


v2.2.0-rc.1 (Mon, 6 Feb 2017)

Feature list:

Major improvements to the web user interface
Support for showing progress of ongoing measurements
Add icons to decks
Show in measurements view the deck that generated a certain test
Support unix-socket tor control ports #479 (thanks @ioef)
Better explaination for -g option #498 (thanks @ioef)
Improvements to some docstring (thanks @donald213)

Please update ;)
thx

pd5rm commented on 2016-06-07 21:27

Having issues building due to missing geoip-asndata, geoip-citydata deps.

arp12 commented on 2015-08-19 21:32

Nice, thank you! Build passed on my machine and I got it installed!

axil42 commented on 2015-08-17 08:59

I uploaded the missing library[0] (seems it was nuked while transitioning to new AUR), but the new 1.3.1 fails to build so I opened a ticket [1]. If you have any idea how to fix this please share. For the time being I will upload an updated 1.2.2 that works.

[0] https://aur.archlinux.org/packages/python2-pypcap/
[1] https://trac.torproject.org/projects/tor/ticket/16839

arp12 commented on 2015-08-16 21:03

Is this package still maintained? Is out of date and there are missing dependencies:

error: target not found: python2-pcapy

axil42 commented on 2014-12-30 18:33

Adopted and updated package. Here's a changelog:

* Add missing dependencies as stated in requirements.txt [0]
* Add some more dependencies (build/runtime) which are used in the Debian package [1]
* Add both packages mentioned by @sakaru, thanks :)

Enjoy!

[0] https://gitweb.torproject.org/ooni-probe.git/tree/requirements.txt
[1] https://gitweb.torproject.org/ooni-probe.git/tree/debian/control

felixonmars commented on 2014-10-14 07:10

@sakaru
The warning was given by python2-twisted, and python2-service-identity has already been listed as an optdepend of it, so no need to add python2-service-identity here.

sakaru commented on 2014-07-18 22:46

Also without python2-service-identity this warning is given:
/usr/lib/python2.7/site-packages/twisted/internet/_sslverify.py:184: UserWarning: You do not have the service_identity module installed. Please install it from <https://pypi.python.org/pypi/service_identity>. Without the service_identity module and a recent enough pyOpenSSL tosupport it, Twisted can perform only rudimentary TLS client hostnameverification. Many valid certificate/hostname mappings may be rejected.

Also, python2 doesn't need to be listed as a dependency since it is implied by the python2 modules.

Finally /usr/lib/python2.7/site-packages/ooni/nettests/experimental/tls_handshake.py uses python in the shebang, not python3. However this probably doesn't matter. Ideally you should patch that file to call python2.

sakaru commented on 2014-07-18 22:39

This package also requires the AUR package geoip-citydata, otherwise setup.py fails.